#include "power.h"
#include <QProcess>

Power::Power(QSettings *settings, Microcontroller* micro, QObject *parent) : QObject(parent), _micro(micro), _settings(settings)
{

}

void Power::syncoff()
{
    _settings->sync();
    for(unsigned int i = 0; i < _micro->getLastState().size(); i++) _micro->relayOff(i);
    QProcess::execute ( "syncoff" );
}
